Summary:	Multithreaded FTP client for X Windows
Name:		gftp
Version:	2.0.19
Release:	%mkrel 16
Epoch:		1
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://www.gftp.org/
Source0:	http://www.gftp.org/%{name}-%{version}.tar.gz
Source1:	gftp.icons.tar.bz2
Patch0:		gftp-2.0.19-datetime-fixedsort.patch
Patch1:		gftp-2.0.19-fix-desktop-file.patch
Patch2:		gftp-2.0.19-fix-crash.patch
Patch3:		gftp-2.0.19-mageia-bookmarks.patch
BuildRequires:	gtk+2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
Requires:	gtk+2

%description
gFTP is a multithreaded FTP client for X Window written using Gtk. It features
simultaneous downloads, resuming of interrupted file transfers, file transfer
queues, downloading of entire directories, ftp proxy support, remote directory
caching, passive and non-passive file transfers, drag-n-drop, bookmarks menu,
stop button, and many more features.


%prep
%setup -q -a 1
%patch0 -p0 -b .datetime-fixedsort
%patch1 -p0 -b .fix-desktop-file
%patch2 -p0 -b .crash
%patch3 -p1 -b .bookmarks

%build
%configure2_5x
%make

%install
%makeinstall_std

# locale files
%find_lang %{name}

%files -f %{name}.lang
%doc THANKS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*


%changelog
* Wed Mar 02 2016 umeabot <umeabot> 1:2.0.19-16.mga6
+ Revision: 983401
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1:2.0.19-15.mga6
+ Revision: 954050
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 akien <akien> 1:2.0.19-14.mga6
+ Revision: 873238
- Drop Debian unlock mutex error patch that makes gftp freeze after a transfer (mga#16213)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.19-13.mga5
+ Revision: 747480
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 wally <wally> 1:2.0.19-12.mga5
+ Revision: 736408
- add patch from Debian bug tracker to fix crash when connecting to remote site

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.19-11.mga5
+ Revision: 679554
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:2.0.19-10.mga4
+ Revision: 504819
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:2.0.19-9.mga3
+ Revision: 351515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 10 2011 ahmad <ahmad> 1:2.0.19-8.mga1
+ Revision: 82908
- apply patch0 (datetime-fixedsort)
- add some Mageia bookmarks (mga#760)

* Sat Feb 19 2011 wally <wally> 1:2.0.19-7.mga1
+ Revision: 54401
- drop mdv specific bookmarks patch
- fix license
- drop buildroot definition
- drop old mdv scriptlets
- clean .spec a bit
- imported package gftp


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.19-6mdv2011.0
+ Revision: 610848
- rebuild

* Wed Apr 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1:2.0.19-5mdv2010.1
+ Revision: 537285
- reubuild for new openssl

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1:2.0.19-4mdv2010.0
+ Revision: 437673
- rebuild

* Thu Feb 26 2009 Götz Waschk <waschk@mandriva.org> 1:2.0.19-3mdv2009.1
+ Revision: 345336
- rebuild for new readline

* Sun Dec 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.19-2mdv2009.1
+ Revision: 317079
- Fix crash at gftp start

* Mon Dec 01 2008 Funda Wang <fwang@mandriva.org> 1:2.0.19-1mdv2009.1
+ Revision: 308693
- New version 2.0.19
- rediff patches

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1:2.0.18-11mdv2009.0
+ Revision: 245955
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.18-9mdv2008.1
+ Revision: 156948
- Add fix for CVE-2007-3961-CVE-2007-3962
  Fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Feb 24 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.18-9mdv2007.0
+ Revision: 125440
- add patch4 to fix freeze at startup

* Sat Aug 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.18-8mdv2007.0
+ Revision: 55696
- Rebuild

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Fri Jul 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.18-7mdv2007.0
+ Revision: 42305
- Increase release 2.0.18-7mdv2007.0
- Add patch 3: Fix crash when stopping transfert
- Fix crash when editing bookmarks (ticket #10138)

* Sat Jul 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.18-6mdv2007.0
+ Revision: 38270
- Increase release
- Fix for xdg menu
- import gftp-2.0.18-5mdk

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0.18-5mdk
- fix build
- rebuild against openssl-0.9.8a

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 2.0.18-4mdk
- P1: fix alphabetical order

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 2.0.18-3mdk
- add Mandriva iso (devel and Official), SRPMS and Old to bookmarks

* Tue Jun 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.18-2mdk
- use %%debug_package
- %%mkrel

* Mon Feb 28 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.18-1mdk
- from Tom Ph <tpgww@onepost.net> : 
	- updated icons, including svg
	- requires
	- new version
	- patches reconciled
	- updated icons
	- desktop files directory

* Thu Jan 20 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.17-5mdk
- rebuild for new readline

* Wed Oct 13 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.17-4mdk
- put back extra 64-bit fixes

* Sat Aug 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-3mdk
- fix typo in menu entry

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.17-2mdk
- REbuild with new menu

* Thu Apr 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-1mdk
- new release
- drop patch 2 (merged upstream)
- redo patch 3

